package java.net;

import java.io.IOException;

interface InetAddressImpl
{
    public abstract String getLocalHostName() throws UnknownHostException;
    
    public abstract InetAddress[] lookupAllHostAddr(String p0) throws UnknownHostException;
    
    public abstract String getHostByAddr(byte[] p0) throws UnknownHostException;
    
    public abstract InetAddress anyLocalAddress();
    
    public abstract InetAddress loopbackAddress();
    
    public abstract boolean isReachable(InetAddress p0, int p1, NetworkInterface p2, int p3) throws IOException;
}
